### A free/open-source library for quantitative finance

Public Member Functions
ExtendedBlackVarianceCurve Class Reference

Black volatility curve modelled as variance curve. More...

`#include <ql/experimental/volatility/extendedblackvariancecurve.hpp>`

Inheritance diagram for ExtendedBlackVarianceCurve:
[legend]

List of all members.

## Public Member Functions

| ExtendedBlackVarianceCurve (const Date &referenceDate, const std::vector< Date > &dates, const std::vector< Handle< Quote > > &volatilities, const DayCounter &dayCounter, bool forceMonotoneVariance=true)
DayCounter | dayCounter () const
| the day counter used for date/time conversion
Date | maxDate () const
| the latest date for which the curve can return values
Real | minStrike () const
| the minimum strike for which the term structure can return vols
Real | maxStrike () const
| the maximum strike for which the term structure can return vols
template<class Interpolator >
void | setInterpolation (const Interpolator &i=Interpolator())
void | accept (AcyclicVisitor &)
void | update ()

## Detailed Description

Black volatility curve modelled as variance curve.

This class is similar to BlackVarianceCurve, but extends it to use quotes for the input volatilities.

## Member Function Documentation

void update | ( |  | ) | `[virtual]`

This method must be implemented in derived classes. An instance of Observer does not call this method directly: instead, it will be called by the observables the instance registered with when they need to notify any changes.

Reimplemented from TermStructure.